Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 4286)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4286 2019-10-30 16:01:14Z resler
 ! implement new palm_date_time_mod
 ! 
@@ -774,7 +777,7 @@
 !--       Set velocity components at non-atmospheric / oceanic grid points to 
 !--       zero. 
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )
-          w = MERGE( w, 0.0_wp, BTEST( wall_flags_0, 3 ) )
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
+          w = MERGE( w, 0.0_wp, BTEST( wall_flags_static_0, 3 ) )
 !
 !--       Initialize surface variables, e.g. friction velocity, momentum 
@@ -824,6 +827,6 @@
 !
 !--       Set velocities back to zero
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )         
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )         
 !
 !--       WARNING: The extra boundary conditions set after running the
@@ -868,6 +871,6 @@
 !
 !--       Mask topography
-          u = MERGE( u, 0.0_wp, BTEST( wall_flags_0, 1 ) )
-          v = MERGE( v, 0.0_wp, BTEST( wall_flags_0, 2 ) )
+          u = MERGE( u, 0.0_wp, BTEST( wall_flags_static_0, 1 ) )
+          v = MERGE( v, 0.0_wp, BTEST( wall_flags_static_0, 2 ) )
 !
 !--       Set initial horizontal velocities at the lowest computational grid 
@@ -884,7 +887,7 @@
                    DO  k = nzb, nzt
                       u(k,j,i) = MERGE( u(k,j,i), 0.0_wp,                      &
-                                        BTEST( wall_flags_0(k,j,i), 20 ) )
+                                        BTEST( wall_flags_static_0(k,j,i), 20 ) )
                       v(k,j,i) = MERGE( v(k,j,i), 0.0_wp,                      &
-                                        BTEST( wall_flags_0(k,j,i), 21 ) )
+                                        BTEST( wall_flags_static_0(k,j,i), 21 ) )
                    ENDDO
                 ENDDO
@@ -1310,9 +1313,9 @@
                 DO  k = nzb, nzt
                    u(k,j,i)     = MERGE( u(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 1 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 1 ) )
                    v(k,j,i)     = MERGE( v(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 2 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 2 ) )
                    w(k,j,i)     = MERGE( w(k,j,i), 0.0_wp,                     &
-                                         BTEST( wall_flags_0(k,j,i), 3 ) )
+                                         BTEST( wall_flags_static_0(k,j,i), 3 ) )
                 ENDDO
              ENDDO
@@ -1395,10 +1398,10 @@
                                               u_init(k) * dzw(k)               &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
 
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
                 ENDDO
@@ -1412,9 +1415,9 @@
                                               v_init(k) * dzw(k)               &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
                 ENDDO
@@ -1444,9 +1447,9 @@
                                               hom_sum(k,1,0) * dzw(k)          &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                 ENDDO
@@ -1460,9 +1463,9 @@
                                               hom_sum(k,2,0) * dzw(k)          &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                 ENDDO
@@ -1492,9 +1495,9 @@
                                               u(k,j,nx) * dzw(k)               &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                    volume_flow_area_l(1)    = volume_flow_area_l(1) + dzw(k)   &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nx), 1 ) &
+                                              BTEST( wall_flags_static_0(k,j,nx), 1 ) &
                                             )
                 ENDDO
@@ -1508,9 +1511,9 @@
                                               v(k,ny,i) * dzw(k)               &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                    volume_flow_area_l(2)    = volume_flow_area_l(2) + dzw(k)   &        
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,ny,i), 2 ) &
+                                              BTEST( wall_flags_static_0(k,ny,i), 2 ) &
                                             )
                 ENDDO
@@ -1693,8 +1696,8 @@
 !--                xy-grid points above topography
                    ngp_2dh_outer_l(k,sr) = ngp_2dh_outer_l(k,sr)     +         &
-                                  MERGE( 1, 0, BTEST( wall_flags_0(k,j,i), 24 ) )
+                                  MERGE( 1, 0, BTEST( wall_flags_static_0(k,j,i), 24 ) )
 
                    ngp_2dh_s_inner_l(k,sr) = ngp_2dh_s_inner_l(k,sr) +         &
-                                  MERGE( 1, 0, BTEST( wall_flags_0(k,j,i), 22 ) )
+                                  MERGE( 1, 0, BTEST( wall_flags_static_0(k,j,i), 22 ) )
 
                 ENDDO
@@ -1792,5 +1795,5 @@
 !$ACC COPYIN(rho_air(nzb:nzt+1), rho_air_zw(nzb:nzt+1)) &
 !$ACC COPYIN(ddzu(1:nzt+1), ddzw(1:nzt+1)) &
-!$ACC COPYIN(wall_flags_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
+!$ACC COPYIN(wall_flags_static_0(nzb:nzt+1,nysg:nyng,nxlg:nxrg)) &
 !$ACC COPYIN(bc_h(0:1)) &
 !$ACC COPYIN(bc_h(0)%i(1:bc_h(0)%ns)) &
